/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Virtual clock generator
 *
 * FILE:
 *	clock.h
 *
 * ABSTRACT:
 *	information necessary for interacting with the clock module
 *
 * $Revision: 1.2 $
 * $Date: 1996/01/17 18:56:21 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: clock.h,v $
 * Revision 1.2  1996/01/17  18:56:21  jla
 * Updated Copyright verbage in preparation for release.
 *
 * Revision 1.1  1996/01/12  17:36:02  jla
 * Initial revision
 *
 *
 */

#ifndef _CLOCK_
#define _CLOCK_

/*
 * The current vitual time is broadcast once per second as an int
 * counting the number of seconds from clock module start-up
 */

typedef	int ClockT, *ClockPtr;
#define ClockFormat	"int"
#define ClockBroadcast	"ClockBroadcast"

#endif /* _CLOCK_ */
