/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Robot controller/simulator.
 *
 * FILE:
 *	motorsim.h
 *
 * ABSTRACT:
 *	Define constants relevant to simulator.
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/17 19:01:34 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: motorsim.h,v $
 * Revision 1.3  1996/01/17  19:01:34  jla
 * Updated Copyright verbage in preparation for release.
 *
 * Revision 1.2  1996/01/15  14:04:09  jla
 * Enrolling in version control.
 *
 *
 */

#ifndef _MOTORSIM_
#define _MOTORSIM_

#include "motor.h"
#include "../GPS/gps.h"

#define TURN_RADIUS	02.50	/* in foos/bar */
#define SPEED		0.2	/* stiquito speed in cm/sec */
#define ERR_SIZE	0.05	/* relative error to add in */

#define TIME_STEP	1000	/* in usec */
#define TIME_SCALE	1000	/* vals greater than TIME_STEP speed up time */

#endif /* _MOTORSIM_ */
