/*
 * PROJECT: Indiana University Stiquito Colony Simulator and Control Software
 *
 * (c) Copyright 1996 Jason L. Almeter, Indiana University.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that: (1) source distributions retain this entire copyright
 * notice and comment, and (2) distributions including binaries display
 * the following acknowledgement:  ``This product includes software
 * developed by Indiana University '' in the documentation or other
 * materials provided with the distribution and in all advertising
 * materials mentioning features or use of this software. The
 * name of the University may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * MODULE:
 *	Utilities
 *
 * FILE:
 *	coords.h
 *
 * ABSTRACT:
 *	set up coordinate structures
 *
 * $Revision: 1.3 $
 * $Date: 1996/01/17 19:08:33 $
 * $Author: jla $
 *
 * HISTORY:
 *
 * $Log: coords.h,v $
 * Revision 1.3  1996/01/17  19:08:33  jla
 * Updated Copyright verbage in preparation for release.
 *
 * Revision 1.2  1996/01/15  15:31:26  jla
 * Enrolling in version control.
 *
 *
 */

#ifndef _COORD_
#define _COORD_

typedef struct {
   double x;
   double y;
   double theta;
} CoordType, *CoordPtr;

typedef struct {
   int n;
   CoordPtr list;
} CoordArray, *CoordArrayPtr;


/*----------------------------------------------------------------------------*\

  if n will not fit in the array, grow it.  Else do nothing.

\*----------------------------------------------------------------------------*/
void coordGrowArray(int n, CoordArrayPtr array);

void coordInitArray(CoordArrayPtr array);

#endif /* _COORD_ */
